SoVertexShader(3)

NAME
SoVertexShader - The SoVertexShader class is used for setting up vertex shader programs.

SYNOPSIS

#include <Inventor/nodes/SoVertexShader.h>

Inherits SoShaderObject.

  Public Member Functions
virtual SoType getTypeId (void) const
SoVertexShader (void)
virtual ~SoVertexShader ()

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static SbBool isSupported (SourceType sourceType)

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoVertexShader class is used for setting up vertex shader programs. See Shaders in Coin for more information on how to set up a scene graph with shaders.

FILE FORMAT/DEFAULTS:

VertexShader {
  isActive TRUE
  sourceType FILENAME
  sourceProgram ""
  parameter []
}

See also
    SoShaderObject

    SoShaderProgram

Since
    Coin 2.5

Constructor & Destructor Documentation

  SoVertexShader::SoVertexShader (void)
Constructor.

  SoVertexShader::~SoVertexShader () [virtual]
Destructor.

Member Function Documentation

  SoType SoVertexShader::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoVertexShader::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoShaderObject.

  const SoFieldData ** SoVertexShader::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoVertexShader::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoShaderObject.

  SbBool SoVertexShader::isSupported (SourceType sourceType) [static]
Returns a boolean indicating whether the requested source type is supported by the OpenGL driver or not.

Beware: To get a correct answer, a valid OpenGL context must be available.

Author

Generated automatically by Doxygen for Coin from the source code.